require('player')
local players = {}
local joysticks = love.joystick.getJoysticks()

function love.load()
	love.graphics.setBackgroundColor(255, 255, 255)
	love.math.setRandomSeed(1)
	--physics
	love.physics.setMeter(64)
	world = love.physics.newWorld(0, 0*64, true)
	world:setCallbacks(beginContact, function() collectgarbage() end)
		
	for i=1, 4 do
		table.insert(players, newPlayer(i, {}, 100*i, 100, 300, 250, 2, {},nil))
    end
end

function love.update(dt)
	world:update(dt)
	for i,player in ipairs(players) do
		player:update(dt)
    end
end

function love.draw()
	for i,player in ipairs(players) do
		player:draw()
    end
	if #players == 0  then
		love.graphics.setColor(255, 0,0)
		love.graphics.print("Conect your joystick!",love.graphics.getWidth( )/2-70,love.graphics.getHeight( )/2-100)
	end
end

function beginContact(a, b, coll)
	x,y = coll:isTouching( )
end

function love.joystickpressed( joystick, button )
	local jID, jInstanceid = joystick:getID( ) 
	for i,player in ipairs(players) do
		if player.joystick ~= nil then
			local pID, pInstanceid = player.joystick:getID() 
			if pID == jID then
				player:attack()
			end
		end
	end
end

function love.joystickadded( joystick )
	joysticks = love.joystick.getJoysticks()
	local flag = true	
	for i,player in ipairs(players) do
		if player.joystick == nil and flag then
			player.joystick = joystick
			flag = false
		end
	end
end

function love.joystickremoved( joystick )
	joysticks = love.joystick.getJoysticks()
end

